package gve.calc.formula;

public abstract class BinaryOp extends Operator {
	public Part left,right;
	/** By default, left and right priorities are the same as the priority */
	public int getLeftPri() { return getPri(); }
	public int getRightPri() { return getPri(); }

	public void write(java.io.Writer w) throws java.io.IOException {
		super.write(w);
		left.write(w);
		right.write(w);
	}

	public Part getChild(int count) {
		switch (count) {
		case 0: return left;
		case 1: return right;
		default: return null;
		}
	}
}
