package gve.calc.formula;

/** In the future, we will replace all functions by unary prefix operators.
 * This has the advantage that we can alter their appearance; e.g.
 * subst(t,x,alpha) can appear as [t/x]alpha, idem for summations, integrals etc. */

public interface Function {
	/** Args may not been evaluated, so we need eval to do this. */
	public Part call(String funcname,Part args,Evaluator eval);
}
