package gve.calc.formula;

public class OperatorColon extends InfixBinaryOp {
	public String getName() { return ":"; }
	public int getPri() { return 810; }

	public OperatorColon(Part l,Part r) {
		super(l,r);
	}

	public static Part read(java.io.BufferedReader r) throws java.io.IOException,
			ClassNotFoundException,NoSuchMethodException,
			java.lang.reflect.InvocationTargetException,IllegalAccessException{
		Part left = Part.read(r);
		Part right = Part.read(r);
		return new OperatorColon(left,right);
	}

	public boolean same(Object o) {
		if (o instanceof OperatorColon) {
			OperatorColon colon = (OperatorColon)o;
			return colon.left.same(left) && colon.right.same(right);
		}
		return false;
	}
}
