package gve.calc.logic;

import gve.calc.formula.Part;

public class ProofInvalidException extends Exception {
	/** This is the place where the error occured. */
	public Part part;
	/** This may contain some info about the "best" match we could make */
	public ProofSuccess status;

	public ProofInvalidException(String description) {
		super(description);
	}

	public ProofInvalidException(Part p,String description) {
		super(description);
		part = p;
	}

	public ProofInvalidException(ProofSuccess status,String description) {
		super(description);
		this.status = status;
	}
}
