package gve.calc.formula;

public class OperatorDot extends InfixBinaryOp {
	public String getName() { return "."; }
	public int getPri() { return 15000; }
	public int getLeftPri() { return 15010; }
	public int getRightPri() { return 14090; }

	public OperatorDot(Part l,Part r) {
		super(l,r);
	}

	public Part evaluate(Evaluator ev) {
		return new OperatorDot(left.evaluate(ev),right.evaluate(ev));
	}

	public static Part read(java.io.BufferedReader r) throws java.io.IOException,
			ClassNotFoundException,NoSuchMethodException,
			java.lang.reflect.InvocationTargetException,IllegalAccessException{
		Part left = Part.read(r);
		Part right = Part.read(r);
		return new OperatorDot(left,right);
	}
}
